#!/bin/bash

PGDATA=$4

case "$1" in
    'install')
	[ -f $PGDATA/$2 ] && mv -f $PGDATA/$2 $PGDATA/$2.old;	
	install -p -g postgres -o postgres -m 600 $3/$2 $PGDATA
	;;
    'upgrade')
	mv -f $PGDATA/$2 $PGDATA/$2.new;
	install -p -g postgres -o postgres -m 600 $3/$2 $PGDATA
        ;;
    'renew')
	rm -f $PGDATA/$2.new;
        ;;
    'uninstall')
	[ -f $PGDATA/$2.old ] && mv -f $PGDATA/$2.old $PGDATA/$2;
	;;
    *)
	echo "Bad parameter"
	;;
esac
