#!/bin/bash

$2/install_configuration_files.sh $1 .i18n $2 /var/lib/pgsql

case "$1" in
    'install')
	useradd op5lsu
	
	if [ ! -f "/var/lib/pgsql/data/PG_VERSION" ]
	then
    	    service postgresql initdb
	fi
	
	chkconfig postgresql on
	;;
    'upgrade')
        ;;
    'renew')
	;;
    'uninstall')
	chkconfig postgresql off
	
	userdel -r op5lsu
	;;
    *)
	echo "Bad parameter"
	;;
esac

$2/install_configuration_files.sh $1 pg_hba.conf $2 /var/lib/pgsql/data

if [ $(find /var/run -name "postmaster.*.pid") ];
then
    service postgresql restart;
fi
